This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 42734

Summary: Query re. generated or uneditable files
Product: projects Reporter: Jesse Glick <jglick>
Component: Generic InfrastructureAssignee: Milos Kleint <mkleint>
Status: RESOLVED WONTFIX    
Severity: blocker Keywords: API
Priority: P3    
Version: 4.x   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Exception Reporter:
Bug Depends on:    
Bug Blocks: 41535    

Description Jesse Glick 2004-05-03 19:45:43 UTC
May need query re. generated files:

FileObject -> {EDITABLE, GENERATED,
GENERATED_UNMODIFIED, GENERATED_MODIFIED}

May have editor warn you before editing a
GENERATED or GENERATED_UNMODIFIED file. Could also
turn off Ant hyperlinking to some kinds of files,
perhaps.

build.xml always EDITABLE. build-impl.xml always
GENERATED_UNMODIFIED or GENERATED_MODIFIED.
build/** always GENERATED.

Technically orthogonal to SharabilityQuery though
in practice there is some overlap.
Comment 1 Jesse Glick 2004-06-15 13:16:47 UTC
Not for D. Not clear if it is really needed at all.
Comment 2 Antonin Nebuzelsky 2010-03-29 14:09:56 UTC
Change of default owner.
Comment 3 Milos Kleint 2012-08-23 14:14:48 UTC
unlikely to be done, ->wontfix. patches welcome